Subject: [ietf-provreg] RGP Restore Report Proposal

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 16 Jul 2003 04:37:44 -0400

I've been playing around with options to add support for restoration report
delivery via EPP in my RGP extension draft [1].  Working from the report
requirements described on various ICANN web pages I've come up with
something that might work.  Does this look reasonable to the people who
care?

The report consists of several fields as follows:

<element name="preWhois" type="rgp:mixedType"/>
-- Whois data prior to deletion.

<element name="postWhois" type="rgp:mixedType"/>
-- Whois data after restoration.

<element name="delTime" type="dateTime"/>
-- Deletion date and time.

<element name="resTime" type="dateTime"/>
-- Restoration date and time.

<element name="resReason" type="rgp:reportTextType"/>
-- Text describing the reason the restore was made.

<element name="statements" type="rgp:reportTextType"
 minOccurs="0" maxOccurs="2"/>
-- Text describing two registrar statements required by ICANN.

<element name="other" type="rgp:mixedType"
 minOccurs="0"/>
-- Other supporting info (such as a copy of a court order) as required by
the given reason.

The text and whois fields are all defined to be mixed, meaning that both
free text and XML-formatted data can be included.  This sort of structure
provides some flexibility to support different data formats.  Here are the
structure definitions:

  <complexType name="mixedType">
    <complexContent mixed="true">
      <restriction base="anyType">
        <sequence>
          <any processContents="lax"
           minOccurs="0" maxOccurs="unbounded"/>
        </sequence>
      </restriction>
    </complexContent>
  </complexType>
  
  <complexType name="reportTextType">
    <complexContent mixed="true">
      <restriction base="anyType">
        <sequence>
          <any processContents="lax"
           minOccurs="0" maxOccurs="unbounded"/>
        </sequence>
        <attribute name="lang" type="language" default="en"/>
      </restriction>
    </complexContent>
  </complexType>

If this sort of report structure works I'll update the draft in the weeks
after the Vienna IETF meeting.  Comments, please

-Scott-

[1]
http://www.ietf.org/internet-drafts/draft-hollenbeck-epp-rgp-00.txt